<?php
ob_start();

if(function_exists('register_sidebar')){

	global $wpdb;

	$table_name = $wpdb->prefix . "wp4fb_general";

	$widget_count = $wpdb->get_var("SELECT widget_count FROM ".$table_name."");

	if($widget_count>0){

		for($i=1;$i<=$widget_count;$i++){

			register_sidebar(array(

				'name'=> 'WP4FB '.$i,

				'id' => 'wp4fb-widget'.$i,

				'before_widget' => '<li id="%1$s" class="widget %2$s">',

				'after_widget' => '</li>',

				'before_title' => '<h2 class="offscreen">',

				'after_title' => '</h2>',

			));

		}

	}

}



if(!class_exists('WPAlchemy_MediaAccess')){

	include('wp4fb-class-imgupload.php');

}



add_filter( 'wp_title', 'custom_title', 20 );



function custom_title( $title ) {

	return str_replace('|', '', $title); 

}



function admin_wp4fb_init(){

	add_meta_box("credits_meta", "Design Settings", "wp4fb_credits_meta", "wp4fbpagess", "normal", "high");

	add_meta_box("credits_meta_wp4fb_viral", "Viral Features", "wp4fb_viral_features", "wp4fbpagess", "normal", "high");

	add_meta_box("wp4fb_open_graph", "Open Graph Settings", "wp4fb_open_graph", "wp4fbpagess", "normal", "high");

	add_meta_box("credits_meta_google", "Google Optimizer", "wp4fb_google_optimizer", "wp4fbpagess", "normal", "high");

}





function wp4fb_credits_meta() {

	

	global $post;

	$showheader = "";   $layoutstyling = "";   $customlayout = "";   $appid = "";

	$showmenu = "yes";

	$custommenu = "";

	$showtitle = "";

	$headerimageurl = "";

	$contentimageurl = "";

	$contentimage = "";

	$footerimageurl = "";

	$sharetoaccess = "";

	

	if(isset($_GET['action'])){

		$custom = get_post_custom($post->ID);

		$showheader = $custom["showheader"][0];  $layoutstyling = $custom["layoutstyling"][0];  $customlayout = $custom["customlayout"][0];  $appid = $custom["appid"][0];

		$showmenu = $custom["showmenu"][0];

		$custommenu = $custom["custommenu"][0];

		$showtitle = $custom["showtitle"][0];

		$headerimageurl = $custom["headerimageurl"][0];

		$contentimageurl = $custom["contentimageurl"][0];

		$contentimage = $custom["contentimage"][0];

		$footerimageurl = $custom["footerimageurl"][0];

		$sharetoaccess = $custom["sharetoaccess"][0];

		$headerheight = $custom["headerheight"][0];

		$footerheight = $custom["footerheight"][0];

	}

?>



<input type="hidden" id="wp4fb_wp_vcheck" value="<?php echo get_bloginfo( 'version' ); ?>" >



<div id="liveeditlist" style="display:none;">

	<div style="position:absolute;top:0;left:0;padding:10px 10px 20px 10px;background:#eee;z-index:5; width:200px;">

		<b>Saved layout list:</b><br /><br />

		<?php

		global $wpdb;

		$saved = mysql_query("select * from ".$wpdb->prefix."wp4fb_layouts where id > 13");

		while($savedlayout = mysql_fetch_array($saved)){

			$sa++;

			echo'<div class="savedlayouts" id="savedlayout'.$savedlayout['id'].'" style="padding:3px; border-bottom:dotted 1px #ccc;">

			<a href="javascript:void(0);" onClick="applywp4fblayout('.$savedlayout['id'].');">

			<img src="'.plugins_url( 'images/checked.png' , __FILE__ ).'" />

			</a>

			<a href="javascript:void(0);" onClick="applywp4fblayout('.$savedlayout['id'].');">'.$savedlayout['title'].'</a>

			</div>';

		} 

		?>

	</div>

</div>

<?php

		global $wp_locale, $wp_styles;
		
		if($wp_locale->text_direction === 'rtl'){
			$goLeft = 'direction:ltr;text-align:left;';
		} else {
			$goLeft = '';
		}
			
?>

<div id="shortingcode" style="display:none;position:fixed;top:0;right:0;bottom:0;left:0;z-index:50;background:url(<?php echo plugins_url( 'images/dark.png' , __FILE__ ); ?>);">

	<div id="shortingbox" style="margin:5% 20% 5% 20%;background:#fff;<?php echo $goLeft; ?>">

		<div style="background:#3a3a3a;padding:10px; color:#fff; font-size:20px; position:relative;">

			<a href="javascript:void(0);" onClick="jQuery('#shortingcode').fadeOut();" style="float:right;">

				<img src="<?php echo plugins_url( 'images/x.png' , __FILE__ ); ?>" />

			</a> WP4FB Shortcode 

			<select id="shortcategory" style="padding:2px;font-size:14px;">

				<?php

				global $wpdb;

				$table_name = $wpdb->prefix . "wp4fb_shortcodes";

				$shortcodes = mysql_query("select * from ".$table_name." order by id asc");

				while($shortval=mysql_fetch_array($shortcodes)){

					echo '<option value="'.$shortval['id'].'">'.$shortval['shortcodecategory'].'</option>';

				}

				?>

			</select>

			<div style="clear:both;"></div>

		</div>

		<div style="padding:20px;position:relative; min-height:300px;" id="shortcodelist"></div>

	</div>

</div>



<?php

if($_GET['action']=='edit'){ 

	$resultappid = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."wp4fb_facebook where id='$appid'");

	$app_title = $resultappid->app_title;

	$appoptions .= "<option value=\"$appid\">$app_title</option>";

}

?>



<?php

global $wpdb;

$appsrec = mysql_query("select * from ".$wpdb->prefix."wp4fb_facebook order by app_title asc") or die(mysql_error());

while($appsrecval = mysql_fetch_array($appsrec)){

	$countapp++;

	if($countapp==1){

		$firstappid = $appsrecval['id'];

	}

	$appoptions .= "<option value=\"$appsrecval[id]\">$appsrecval[app_title]</option>";

} 

?>



<?php

if($_GET['action']=='edit'){

	$firstappid = $appid;

}

?>

	

<script>

jQuery(document).ready(function(){	

	if(jQuery("#shortcodebuttonadd").length < 1){

		jQuery("#add_media").after('<a href="javascript:void(0);" id="shortcodebuttonadd" onclick="jQuery(\'#shortingcode\').fadeIn();"><img src="<?php echo plugins_url( 'images/shortcode.gif' , __FILE__ ); ?>"></a>');

	}



	jQuery("input#title").css('width', '70%');

	if(jQuery("#chooseappid").length < 1 ){

		jQuery("input#title").after('<select id="chooseappid" style="float:right;width:28%;padding:5px;font-size:16px;font-weight:bold;"><?php echo $appoptions; ?></select><div style="clear:both;"></div>');		

	}

	

	jQuery("#chooseappid").live('change', function(){

		var theappid = jQuery("#chooseappid option:selected").val();

		jQuery("input[name=appid]").val(theappid);

	});

		

	if(jQuery("#shortcodebuttonadd").length < 1){

		jQuery(".add_media").after('<a href="javascript:void(0);" id="shortcodebuttonadd" onclick="jQuery(\'#shortingcode\').fadeIn();"><img src="<?php echo plugins_url( 'images/shortcode.gif' , __FILE__ ); ?>"></a>');

	}

	

	jQuery.post("<?php echo plugins_url( 'shortcodelist.php' , __FILE__ ); ?>", "shortcategory=1", function(response){

		jQuery("#shortcodelist").hide();

		jQuery("#shortcodelist").html(response);

		jQuery("#shortcodelist").slideDown();

	});

	

	jQuery("#shortcategory").live('change', function(){

		var shortcat = jQuery("#shortcategory option:selected").val();

		jQuery.post("<?php echo plugins_url( 'shortcodelist.php' , __FILE__ ); ?>", "shortcategory="+shortcat+"&postid=<?php echo $post->ID; ?>", function(response){

			jQuery("#shortcodelist").html(response);

			jQuery("#shortcodelist").slideDown();

		});

	});

});



function inyectarTexto(elemento,valor){

	var elemento_dom=document.getElementsByName(elemento)[0];

	if(document.selection){

		elemento_dom.focus();

		sel=document.selection.createRange();

		sel.text=valor;

		return;

	}

	if(elemento_dom.selectionStart||elemento_dom.selectionStart=="0"){

		var t_start=elemento_dom.selectionStart;

		var t_end=elemento_dom.selectionEnd;

		var val_start=elemento_dom.value.substring(0,t_start);

		var val_end=elemento_dom.value.substring(t_end,elemento_dom.value.length);

		elemento_dom.value=val_start+valor+val_end;

	} else {

		elemento_dom.value+=valor;

	}

}

</script>



<div style="height:50px;padding-top:20px;">

	<div style="float:left;width:25%;"><label>Select Layout:</label></div>

	<div style="float:left;width:70%">

		<select id="customlayout" name="customlayout">

			<option value="">---Select Layout---</option>

			<?php

			$wp4fblayouts = mysql_query("select * from ".$wpdb->prefix."wp4fb_layouts where id > 13 order by title asc");

			while($layoutval = mysql_fetch_array($wp4fblayouts)){

				echo '<option value="'.$layoutval['id'].'" ';

				if($customlayout == $layoutval['id']){ echo"selected='selected'"; }

				echo'>'.$layoutval['title'].'</option>';

			}

			?>

		</select>

	</div>

	<div style="clear:both;"></div>

</div>



<div style="display:none;height:50px;">

	<div style="float:left;width:25%;"><label>Show Header:</label></div>

	<div style="float:left;width:70%">

		<input type="radio" name="showheader" value="Yes" <?php echo ($showheader == 'Yes')?"checked":"";?> />Yes  <input type="hidden" name="layoutstyling" value="<?php echo preg_replace('/\s+/', '', preg_replace("/\r?\n/m", "", $layoutstyling)); ?>" />

		<input type="hidden" name="appid" value="<?php echo $firstappid; ?>" />

		<input type="radio" name="showheader" value="No" <?php echo ($showheader == 'No')?"checked":"";?> />No <br  />

		<div style="margin:5px 0px 10px;">Do you want to show header for this page?</div>

	</div>

</div>



<div style="height:50px;">

	<div style="float:left;width:25%;"><label>Select Navigation:</label></div>

	<div style="float:left;width:70%">

		<input type="hidden" name="showmenu" value="Yes" />  

		<select id="cusmenu" name="custommenu">

			<option value="">---Select Menu---</option>

			<?php

			$wp4fbmenu = mysql_query("select * from ".$wpdb->prefix."term_taxonomy where taxonomy='nav_menu'");

			while($menuval = mysql_fetch_array($wp4fbmenu)){

			$themenuc = mysql_fetch_object(mysql_query("select * from ".$wpdb->prefix."terms where term_id='$menuval[term_id]'"));

			?>

			<option value="<?php echo $themenuc->name; ?>" <?php if($custommenu == $themenuc->name){ echo"selected='selected'"; } ?>><?php echo $themenuc->name; ?></option>

			<?php } ?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<?php 

	wp_nonce_field( plugin_basename( __FILE__ ), 'wp4fb_custom_track' );

}





function wp4fb_google_optimizer() {

	global $post;

	$google_control_script = "";



	$google_conversion_script = "";

	$google_tracking_script = "";



	if(isset($_GET['action'])){

		$custom = get_post_custom($post->ID);

		$google_control_script = $custom["google_control_script"][0];

		$google_conversion_script = $custom["google_conversion_script"][0];

		$google_tracking_script = $custom["google_tracking_script"][0];

	}

?>



<div style="height:200px;">

	<div style="float:left;width:25%;"><label>Control Script:</label></div>

	<div style="float:left;width:70%">

		<textarea name="google_control_script" cols="70" rows="9"><?php echo $google_control_script ;?></textarea>

		<div style="margin:5px 0px 10px;">Control Script for google</div>

	</div>

</div>



<div style="height:200px;">

	<div style="float:left;width:25%;"><label>Conversion Script:</label></div>

	<div style="float:left;width:70%">

		<textarea name="google_conversion_script" cols="70" rows="9"><?php echo $google_conversion_script ;?></textarea>

		<div style="margin:5px 0px 10px;">Conversion Script for google</div>

	</div>

</div>



<div style="height:200px;">

	<div style="float:left;width:25%;"><label>Tracking Script:</label></div>

	<div style="float:left;width:70%">

		<textarea name="google_tracking_script" cols="70" rows="9"><?php echo $google_tracking_script;?></textarea>

		<div style="margin:5px 0px 10px;">Tracking Script for google</div>

	</div>

</div>



<input type="hidden" name="wp4fb_custom_track" value="1"  />



<?php 

	wp_nonce_field( plugin_basename( __FILE__ ), 'wp4fb_custom_track' );

}





function wp4fb_viral_features() {

	global $post;

	$sharetoaccess = "";

	$invitegate = "";

	$sharegate_success_page = "";

	$sharegate_abort_page = "";

	$invitegate_success_page = "";

	$invitegate_abort_page = "";

	$authorizeabortpage = "";

	$authorizesuccesspage = "";

	$authorizescreen = "";

	$postmessage = "";

	$messagetopost = "";

	$messagetopostpage = "";

	$collectemail = "";

	$emailprogram = "";

	$apikey = "";

	$listid = "";

	$listname = "";

	$friendgate = "";

	$invitegatetitle = "";

	$invitegatemessage = "";

	$friendgateamount = "";

	$friendgateabort = "";



	if(isset($_GET['action'])){

		$custom = get_post_custom($post->ID);

		$sharetoaccess = $custom["sharetoaccess"][0];

		$invitegate = $custom["invitegate"][0];

		$invitegate_success_page = $custom["invitegate_success_page"][0];

		$invitegate_abort_page = $custom["invitegate_abort_page"][0];

		$sharegate_success_page = $custom["sharegate_success_page"][0];

		$sharegate_abort_page = $custom["sharegate_abort_page"][0];

		$authorizeabortpage = $custom["authorizeabortpage"][0];

		$authorizesuccesspage = $custom["authorizesuccesspage"][0];   $authorizescreen = $custom["authorizescreen"][0];

		$postmessage = $custom["postmessage"][0];

		$messagetopost = $custom["messagetopost"][0];

		$messagetopostpage = $custom["messagetopostpage"][0];

		$collectemail = $custom["collectemail"][0];

		$emailprogram = $custom["emailprogram"][0];

		$apikey = $custom["apikey"][0];

		$listid = $custom["listid"][0];

		$listname = $custom["listname"][0];

		$friendgate = $custom["friendgate"][0];

		$invitegatetitle = $custom["invitegatetitle"][0];

		$invitegatemessage = $custom["invitegatemessage"][0];

		$friendgateamount = $custom["friendgateamount"][0];

		$friendgateabort = $custom["friendgateabort"][0];

		$otheremailCode = $custom["otheremailCode"][0];

	}

?>



<div style="height:50px;">

	<div style="float:left;width:25%;">

		<label>ShareGate:</label>

	</div>

	<div style="float:left;width:70%">

		<input type="radio" name="sharetoaccess" value="Yes" <?php echo ($sharetoaccess == 'Yes')?"checked":"";?> />Yes

		<input type="radio" name="sharetoaccess" value="No" <?php echo ($sharetoaccess == 'No')?"checked":"";?> />No

		<div style="margin:5px 0px 10px;">

			Enable or disable the ShareGate function

		</div>

	</div>

</div>



<?php $tmp_post = $post;$wp4fb_posts = get_posts(array('post_type' => 'wp4fbpagess','posts_per_page' => 10000000, 'order' => 'ASC') );?>



<div id="forsharegate" style="display:none;">  

	<div>

		<div style="float:left;width:25%;">

			<label>ShareGate Success Page:</label>

		</div>

		<div style="float:left;width:70%">

			<select name="sharegate_success_page" id="sharegate_success_page">

				<option value="select">Select Page</option>

				<?php foreach ( $wp4fb_posts as $post) : setup_postdata($post);

				$id = get_the_ID();

				if($id==$sharegate_success_page){$selected="selected";}else{$selected="";}

				echo '<option value="'.$id.'" '.$selected.'>';

				echo the_title();

				echo '</option>';

				endforeach;

				?>

			</select>

			<div style="margin:5px 0px 10px;">

				The page the user sees after they share to friend(s)

			</div>

		</div>

		<div style="clear:both;"></div>

	</div>

	<div style="height:50px;">

		<div style="float:left;width:25%;">

			<label>ShareGate Abort Page:</label>

		</div>

		<div style="float:left;width:70%">

			<select name="sharegate_abort_page" id="sharegate_abort_page">

				<option value="select">Select Page</option>

				<?php foreach ( $wp4fb_posts as $post) : setup_postdata($post);

				$id = get_the_ID();

				if($id==$sharegate_abort_page){$selected="selected";}else{$selected="";}

				echo '<option value="'.$id.'" '.$selected.'>';

				echo the_title();

				echo '</option>';

				endforeach;

				$post = $tmp_post;

				?>

			</select>

			<div style="margin:5px 0px 10px;">

				The page the users sees when they cancel sharing

			</div>

		</div>

	</div>

</div>





<div style="height:50px;">

	<div style="float:left;width:25%;">

		<label>InviteGate:</label>

	</div>

	<div style="float:left;width:70%">

		<input type="radio" name="invitegate" value="Yes" <?php echo ($invitegate == 'Yes')?"checked":"";?> />Yes

		<input type="radio" name="invitegate" value="No" <?php echo ($invitegate == 'No')?"checked":"";?> />No

		<div style="margin:5px 0px 10px;">

			Enable or disable the InviteGate function

		</div>

	</div>

</div>



<?php $tmp_post = $post;$wp4fb_posts = get_posts(array('post_type' => 'wp4fbpagess','posts_per_page' => 10000000, 'order' => 'ASC') );?>



<div id="forinvitegate" style="display:none;">  

	<div>

		<div style="float:left;width:25%;">

			<label>InviteGate Success Page:</label>

		</div>

		<div style="float:left;width:70%">

			<select name="invitegate_success_page" id="invitegate_success_page">

				<option value="select">Select Page</option>

				<?php 

				foreach ( $wp4fb_posts as $post) : setup_postdata($post);

					$id = get_the_ID();

					if($id==$invitegate_success_page){

						$selected="selected";

					} else {

						$selected="";

					}

					echo '<option value="'.$id.'" '.$selected.'>';

					echo the_title();

					echo '</option>';

				endforeach;

				?>

			</select>

			<div style="margin:5px 0px 10px;">

				The page the user sees after they have invited friend(s)

			</div>

		</div>

		<div style="clear:both;"></div>

	</div>

	

	<div style="height:50px;">

		<div style="float:left;width:25%;">

			<label>InviteGate Abort Page:</label>

		</div>

		<div style="float:left;width:70%">

			<select name="invitegate_abort_page" id="invitegate_abort_page">

				<option value="select">Select Page</option>

				<?php 

				foreach ( $wp4fb_posts as $post) : setup_postdata($post);

					$id = get_the_ID();

					if($id==$invitegate_abort_page){

						$selected="selected";

					} else {

						$selected="";

					}

					echo '<option value="'.$id.'" '.$selected.'>';

					echo the_title();

					echo '</option>';

				endforeach;

				$post = $tmp_post;

				?>

			</select>

			<div style="margin:5px 0px 10px;">

				The page the users sees when they cancel the InviteGate request

			</div>

		</div>

	</div>

	

	<div style="height:50px;">

		<div style="float:left;width:25%;">

			<label>Title:</label>

		</div>

		<div style="float:left;width:70%">

			<input type="text" name="invitegatetitle" value="<?php echo htmlspecialchars(stripslashes($invitegatetitle)); ?>" />

		</div>

	</div>



	<div style="height:130px;">

		<div style="float:left;width:25%;">

			<label>Message:</label>

		</div>

		<div style="float:left;width:70%">

			<textarea name="invitegatemessage" cols="70" rows="5"><?php echo $invitegatemessage; ?></textarea>

		</div>

	</div>

</div>



<script>

	jQuery(document).ready(function(){

		

		<?php if($invitegate == 'Yes'){ ?>

			jQuery("#forinvitegate").show();

		<?php } ?>

		

		<?php if($sharetoaccess == 'Yes'){ ?>

			jQuery("#forsharegate").show();

		<?php } ?>

	

	});

	

	jQuery("input[name=invitegate]").click(function(){

		if(jQuery(this).val()=='Yes'){

			jQuery("#forinvitegate").slideDown();

		} else {

			jQuery("#forinvitegate").slideUp();

		}

	});



	jQuery("input[name=sharetoaccess]").click(function(){

		if(jQuery(this).val()=='Yes'){

			jQuery("#forsharegate").slideDown();

		} else {

			jQuery("#forsharegate").slideUp();

		}

	});

</script>



<div style="height:50px;">

	<div style="float:left;width:25%;"><label>Authorize screen:</label></div>

	<div style="float:left;width:70%">

		<input type="radio" name="authorizescreen" value="yes" <?php echo ($authorizescreen == 'yes')?"checked":"";?> />Yes

		<input type="radio" name="authorizescreen" value="no" <?php echo ($authorizescreen == 'no')?"checked":"";?> />No

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<style>

	.underauthorize, .underpostmessage, .undercollectemail, .underaweber, .undermailchimp, .underfriendgate {

		display:none;

	}

</style>



<div style="height:50px;" class="underauthorize">

	<div style="float:left;width:25%;"><label>Authorize Abort Page:</label></div>

	<div style="float:left;width:70%">

		<select name="authorizeabortpage" id="authorizeabortpage">

			<?php 

			foreach ( $wp4fb_posts as $post) : setup_postdata($post);

				$id = get_the_ID();

				if($id==$authorizeabortpage){

					$selected="selected";

				} else {

					$selected="";

				}

				echo '<option value="'.$id.'" '.$selected.'>';

				echo the_title();

				echo '</option>';

			endforeach;

			$post = $tmp_post;

			?>

		</select>

		<div style="margin:5px 0px 10px;">The page the users sees when they cancel the authorization request</div>

	</div>

</div>



<div style="height:50px;" class="underauthorize">

	<div style="float:left;width:25%;"><label>Post message:</label></div>

	<div style="float:left;width:70%">

		<select name="postmessage" id="postmessage">

			<option value="no">No</option>

			<?php 

			if($postmessage=='yes'){

				$selected="selected";

			} else {

				$selected="";

			}

			echo '<option value="yes" '.$selected.'>';

			echo "Yes";

			echo '</option>';

			?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underpostmessage">

	<div style="float:left;width:25%;"><label>Message to post:</label></div>

	<div style="float:left;width:70%">

		<input type="text" name="messagetopost" value="<?php echo htmlspecialchars(stripslashes($messagetopost)); ?>" />

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underpostmessage">

	<div style="float:left;width:25%;"><label>Message posting success page:</label></div>

	<div style="float:left;width:70%">

		<select name="messagetopostpage" id="messagetopostpage">

			<?php 

			foreach ( $wp4fb_posts as $post) : setup_postdata($post);

				$id = get_the_ID();

				if($id==$messagetopostpage){

					$selected="selected";

				} else {

					$selected="";

				}

				echo '<option value="'.$id.'" '.$selected.'>';

				echo the_title();

				echo '</option>';

			endforeach;

			$post = $tmp_post;

			?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="min-height:50px;" class="underauthorize">

	<div style="float:left;width:25%;"><label>Collect email:</label></div>

	<div style="float:left;width:70%">

		<select name="collectemail" id="collectemail">

			<option value="no">No</option>

			<?php 

			if($collectemail=='yes'){

				$selected="selected";

			} else {

				$selected="";

			}

			echo '<option value="yes" '.$selected.'>';

			echo "Yes";

			echo '</option>';

			global $wpdb;

			if(isset($_GET['deleteEmail'])){

				if(mysql_query("delete from ".$wpdb->prefix."wp4fb_post_emails where id='".$_GET['deleteEmail']."'")){

					$deletedEmail = ' | Email Deleted!';

				} else {

					$deletedEmail = '';

				}

			} else {

				$deletedEmail = '';

			}

			?>

		</select>

		<a href="#" onclick="jQuery('#mailsCollected').slideToggle();return false;">View Collected Mails</a><?php echo $deletedEmail; ?>

		<div id="mailsCollected" style="display:none;margin:10px 0px; max-height:200px; overflow:auto;">

			<?php
			global $wpdb;			
			$id = get_the_ID();
			$emailsCollected = mysql_query("select * from ".$wpdb->prefix."wp4fb_post_emails where postid='".$id."' and posttype='collectmail' order by uemail asc");

			while($eRow = mysql_fetch_array($emailsCollected)){

				$numS++;

				echo'<div>

					'.$numS.'. '.$eRow['uemail'].' <a href="post.php?post='.$_GET['post'].'&action='.$_GET['action'].'&deleteEmail='.$eRow['id'].'" style="float:right;">delete</a>

					<div style="clear:both;"></div>

					</div>';

			}

			if(mysql_num_rows($emailsCollected) < 1){

				echo'No emails collected yet...';

			}

			?>

		</div>



		<div style="margin:5px 0px 10px;"></div>

	</div>

	<div style="clear:both;"></div>

</div>



<div style="height:50px;" class="undercollectemail">

	<div style="float:left;width:25%;"><label>Choose email program:</label></div>

	<div style="float:left;width:70%">

		<select name="emailprogram" id="emailprogram">

			<?php 

			echo '<option value="mailchimp">';

			echo "Mailchimp";

			echo '</option>';

			if($emailprogram=='aweber'){

				$selected="selected";

			} else {

				$selected="";

			}

			echo '<option value="aweber" '.$selected.'>';

			echo "Aweber";

			echo '</option>';

			

			if($emailprogram=='other'){

				$selected="selected";

			} else {

				$selected="";

			}

			echo '<option value="other" '.$selected.'>';

			echo "Other";

			echo '</option>';

			?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="otheremailprog">

	<div style="float:left;width:25%;"><label>Code:</label></div>

	<div style="float:left;width:70%">

		<textarea name="otheremailCode" id="otheremailCode" style="width: 454px;"><?php echo $otheremailCode; ?></textarea>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="undermailchimp">

	<div style="float:left;width:25%;"><label>API Key:</label></div>

	<div style="float:left;width:70%">

		<input type="text" name="apikey" value="<?php echo $apikey; ?>" />

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="undermailchimp">

	<div style="float:left;width:25%;"><label>List ID:</label></div>

	<div style="float:left;width:70%">

		<input type="text" name="listid" value="<?php echo $listid; ?>" />

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underaweber">

	<div style="float:left;width:25%;"><label>List Name:</label></div>

	<div style="float:left;width:70%">

		<input type="text" name="listname" value="<?php echo htmlspecialchars(stripslashes($listname)); ?>" />

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underauthorize">

	<div style="float:left;width:25%;"><label>Enable FriendGate:</label></div>

	<div style="float:left;width:70%">

		<select name="friendgate" id="friendgate">

			<option value="no">No</option>

			<?php 

			if($friendgate=='yes'){

				$selected="selected";

			} else {

				$selected="";

			}

			echo '<option value="yes" '.$selected.'>';

			echo "Yes";

			echo '</option>';

			?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underfriendgate">

	<div style="float:left;width:25%;"><label>FriendGate Friends Amount:</label></div>

	<div style="float:left;width:70%">

		<input name="friendgateamount" id="friendgateamount" value="<?php echo $friendgateamount; ?>" />

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underfriendgate">

	<div style="float:left;width:25%;"><label>FriendGate Abort Page:</label></div>

	<div style="float:left;width:70%">

		<select name="friendgateabort" id="friendgateabort">

			<?php 

			foreach ( $wp4fb_posts as $post) : setup_postdata($post);

				$id = get_the_ID();

				if($id==$friendgateabort){

					$selected="selected";

				} else {

					$selected="";

				}

				echo '<option value="'.$id.'" '.$selected.'>';

				echo the_title();

				echo '</option>';

			endforeach;

			$post = $tmp_post;

			?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<div style="height:50px;" class="underfriendgate">

	<div style="float:left;width:25%;"><label>FriendGate Success Page:</label></div>

	<div style="float:left;width:70%">

		<select name="authorizesuccesspage" id="authorizesuccesspage">

			<?php 

			foreach ( $wp4fb_posts as $post) : setup_postdata($post);

				$id = get_the_ID();

				if($id==$authorizesuccesspage){

					$selected="selected";

				} else {

					$selected="";

				}

				echo '<option value="'.$id.'" '.$selected.'>';

				echo the_title();

				echo '</option>';

			endforeach;

			$post = $tmp_post;

			?>

		</select>

		<div style="margin:5px 0px 10px;"></div>

	</div>

</div>



<script>

	jQuery("input[name=authorizescreen]").click(function(){

		if(jQuery(this).val()=='yes'){

			jQuery(".underauthorize").slideDown();

			if(jQuery("#postmessage option:selected").val()=='yes'){

				jQuery(".underpostmessage").show();

			} else {

				jQuery(".underpostmessage").hide();

			}

			if(jQuery("#friendgate option:selected").val()=='yes'){

				jQuery(".underfriendgate").show();

			} else {

				jQuery(".underfriendgate").hide();

			}

			if(jQuery("#collectemail option:selected").val()=='yes'){

				jQuery(".undercollectemail").show();

				if(jQuery("#emailprogram option:selected").val()=='other'){

					jQuery(".underaweber").hide();

					jQuery(".undermailchimp").hide();

					jQuery(".otheremailprog").show();

				} else if(jQuery("#emailprogram option:selected").val()=='aweber'){

					jQuery(".underaweber").show();

					jQuery(".undermailchimp").hide();

				} else {

					jQuery(".undermailchimp").show();

					jQuery(".underaweber").hide();

					jQuery(".otheremailprog").hide();	

				}

			} else {

				jQuery(".undercollectemail").hide();

				jQuery(".undermailchimp").hide();

				jQuery(".underaweber").hide();

				jQuery(".otheremailprog").hide();

			}

		} else {

			jQuery(".underauthorize").slideUp();

			jQuery(".underpostmessage").hide();

			jQuery(".undercollectemail").hide();

			jQuery(".undermailchimp").hide();

			jQuery(".underaweber").hide();

			jQuery(".underfriendgate").hide();

			jQuery(".otheremailprog").hide();

		}

	});

	

	jQuery("#postmessage").change(function(){

		if(jQuery("#postmessage option:selected").val()=='yes'){

			jQuery(".underpostmessage").slideDown();

		} else {

			jQuery(".underpostmessage").slideUp();

		}

	});

	

	jQuery("#collectemail").change(function(){

		if(jQuery("#collectemail option:selected").val()=='yes'){

			jQuery(".undercollectemail").slideDown();

			if(jQuery("#emailprogram option:selected").val()=='other'){

				jQuery(".underaweber").hide();

				jQuery(".undermailchimp").hide();

				jQuery(".otheremailprog").show();

			} else if(jQuery("#emailprogram option:selected").val()=='aweber'){

				jQuery(".underaweber").show();

				jQuery(".undermailchimp").hide();

				jQuery(".otheremailprog").hide();

			} else {

				jQuery(".undermailchimp").show();

				jQuery(".underaweber").hide();

				jQuery(".otheremailprog").hide();

			}

		} else {

			jQuery(".undercollectemail").slideUp();

			jQuery(".undermailchimp").hide();

			jQuery(".underaweber").hide();

			jQuery(".otheremailprog").hide();

		}

	});



	jQuery("#emailprogram").change(function(){

		if(jQuery("#emailprogram option:selected").val()=='other'){

			jQuery(".underaweber").hide();

			jQuery(".undermailchimp").hide();

			jQuery(".otheremailprog").show();

		} else if(jQuery("#emailprogram option:selected").val()=='aweber'){

			jQuery(".underaweber").slideDown();

			jQuery(".undermailchimp").slideUp();

			jQuery(".otheremailprog").hide();

		} else {

			jQuery(".undermailchimp").slideDown();

			jQuery(".underaweber").slideUp();

			jQuery(".otheremailprog").hide();

		}

	});

	

	jQuery("#friendgate").change(function(){

		if(jQuery("#friendgate option:selected").val()=='yes'){

			jQuery(".underfriendgate").slideDown();

		} else {

			jQuery(".underfriendgate").slideUp();

		}

	});

	

	jQuery(document).ready(function(){

		var authorization = '<?php echo $authorizescreen; ?>';

		if(authorization=='yes'){

			jQuery(".underauthorize").show();

			if(jQuery("#postmessage option:selected").val()=='yes'){

				jQuery(".underpostmessage").show();

			} else {

				jQuery(".underpostmessage").hide();

			}

			if(jQuery("#friendgate option:selected").val()=='yes'){

				jQuery(".underfriendgate").show();

			} else {

				jQuery(".underfriendgate").hide();

			}

			if(jQuery("#collectemail option:selected").val()=='yes'){

				jQuery(".undercollectemail").show();

				if(jQuery("#emailprogram option:selected").val()=='other'){

					jQuery(".underaweber").hide();

					jQuery(".undermailchimp").hide();

					jQuery(".otheremailprog").show();

				} else if(jQuery("#emailprogram option:selected").val()=='aweber'){

					jQuery(".underaweber").show();

					jQuery(".undermailchimp").hide();

					jQuery(".otheremailprog").hide();

				} else {

					jQuery(".undermailchimp").show();

					jQuery(".underaweber").hide();

					jQuery(".otheremailprog").hide();

				}

			} else {

				jQuery(".undercollectemail").hide();

				jQuery(".undermailchimp").hide();

				jQuery(".underaweber").hide();

				jQuery(".otheremailprog").hide();

			}

		} else {

			jQuery(".underauthorize").hide();

			jQuery(".underpostmessage").hide();

			jQuery(".undercollectemail").hide();

			jQuery(".undermailchimp").hide();

			jQuery(".underaweber").hide();

			jQuery(".otheremailprog").hide();

		}

	});

</script>  



<?php 

if(isset($_GET['message'])){

	if($sharetoaccess=='Yes'){

		$viralfeat++;

	}

	if($invitegate=='Yes'){

		$viralfeat++;

	}

	if($authorizescreen=='yes'){

		$viralfeat++;

	}

	if($viralfeat>1){ ?>

	

		<script type="text/javascript">

			jQuery(document).ready(function(){

				jQuery("#myerror").remove();

				jQuery(".wrap").prepend("<br><div id=\"myerror\" class=\"error highlight\" style=\"line-height: 3; padding: 10px;\"><strong>Please select maximum of 1 Viral Feature</strong>");

			});

		</script>



	<?php } 

} 

?>



<input type="hidden" name="wp4fb_custom_track" value="1"  /> 



<?php 

	wp_nonce_field( plugin_basename( __FILE__ ), 'wp4fb_custom_track' );

}





function wp4fb_open_graph() {

	global $post;

	$media_access = new WPAlchemy_MediaAccess();

	$open_graph_title = "";

	$open_graph_caption = "";

	$open_graph_description = "";

	$open_graph_image_url = "";

	if(isset($_GET['action'])){

		$custom = get_post_custom($post->ID);

		$open_graph_title = $custom["open_graph_title"][0];

		$open_graph_caption = $custom["open_graph_caption"][0];

		$open_graph_description = $custom["open_graph_description"][0];

		$open_graph_image_url = $custom["open_graph_image_url"][0];

	}

?>



<div style="height:50px;">

	<div style="float:left;width:25%;"><label>Title:</label></div>

	<div style="float:left;width:70%">

		<input type="text" name="open_graph_title" value="<?php echo htmlspecialchars(stripslashes($open_graph_title));?>" />

		<div style="margin:5px 0px 10px;">Title for Open Graph</div>

	</div>

</div>



<div style="height:50px;">

	<div style="float:left;width:25%;"><label>Caption:</label></div>

	<div style="float:left;width:70%">

		<input type="text" name="open_graph_caption" value="<?php echo htmlspecialchars(stripslashes($open_graph_caption));?>" style="width: 508px;" />

		<div style="margin:5px 0px 10px;">Caption for Open Graph</div>

	</div>

</div>



<div style="height:220px;">

	<div style="float:left;width:25%;"><label>Description:</label></div>

	<div style="float:left;width:70%">

		<textarea name="open_graph_description" cols="70" rows="9"><?php echo $open_graph_description ;?></textarea>

		<div style="margin:5px 0px 10px;">Description for Open Graph</div>

	</div>

</div>



<div style="height:50px;">

	<div style="float:left;width:25%;"><label>Image URL:</label></div>

	<div style="float:left;width:70%">

		<?php $media_access->setGroupName('nn3')->setInsertButtonLabel('Insert')->setTab('type'); echo $media_access->getField(array('name'=> 'open_graph_image_url','value'=> $open_graph_image_url)); echo $media_access->getButton(array('label'=>'Upload Image'));?> 

		<div style="margin:5px 0px 10px;">Image for Open Graph</div>

	</div>

</div>



<input type="hidden" name="wp4fb_custom_track" value="1"  /> 



<?php 

	wp_nonce_field( plugin_basename( __FILE__ ), 'wp4fb_custom_track' );

}



function save_wp4fb_details(){

	global $post;
/*
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 

		return;

	if (!wp_verify_nonce( isset($_POST['wp4fb_custom_track']), plugin_basename( __FILE__ ) ) )

		return;
*/

	update_post_meta($post->ID, "showheader", $_POST["showheader"]);

	update_post_meta($post->ID, "layoutstyling", $_POST["layoutstyling"]);

	update_post_meta($post->ID, "customlayout", $_POST["customlayout"]);



	if($_POST['showmenu']=='Yes'){

		update_post_meta($post->ID, "custommenu", $_POST["custommenu"]);

	}



	update_post_meta($post->ID, "appid", $_POST["appid"]);

	update_post_meta($post->ID, "showmenu", $_POST["showmenu"]);

	update_post_meta($post->ID, "showtitle", $_POST["showtitle"]);

	update_post_meta($post->ID, "headerimageurl", $_POST["headerimageurl"]);

	update_post_meta($post->ID, "contentimageurl", $_POST["contentimageurl"]);

	update_post_meta($post->ID, "contentimage", $_POST["contentimage"]);

	update_post_meta($post->ID, "footerimageurl", $_POST["footerimageurl"]);

	update_post_meta($post->ID, "headerheight", $_POST["headerheight"]);

	update_post_meta($post->ID, "footerheight", $_POST["footerheight"]);



	/**********Google optimizer ***************/

	update_post_meta($post->ID, "google_control_script", $_POST["google_control_script"]);

	update_post_meta($post->ID, "google_conversion_script", $_POST["google_conversion_script"]);

	update_post_meta($post->ID, "google_tracking_script", $_POST["google_tracking_script"]);



	/**********Viral features ***************/

	update_post_meta($post->ID, "sharetoaccess", $_POST["sharetoaccess"]);

	update_post_meta($post->ID, "invitegate", $_POST["invitegate"]);

	update_post_meta($post->ID, "invitegate_success_page", $_POST["invitegate_success_page"]);

	update_post_meta($post->ID, "invitegate_abort_page", $_POST["invitegate_abort_page"]);

	update_post_meta($post->ID, "sharegate_success_page", $_POST["sharegate_success_page"]);

	update_post_meta($post->ID, "sharegate_abort_page", $_POST["sharegate_abort_page"]);

	update_post_meta($post->ID, "authorizeabortpage", $_POST["authorizeabortpage"]);

	update_post_meta($post->ID, "authorizesuccesspage", $_POST["authorizesuccesspage"]);

	update_post_meta($post->ID, "authorizescreen", $_POST["authorizescreen"]);

	update_post_meta($post->ID, "postmessage", $_POST["postmessage"]);

	update_post_meta($post->ID, "messagetopost", $_POST["messagetopost"]);

	update_post_meta($post->ID, "messagetopostpage", $_POST["messagetopostpage"]);

	update_post_meta($post->ID, "collectemail", $_POST["collectemail"]);

	update_post_meta($post->ID, "emailprogram", $_POST["emailprogram"]);

	update_post_meta($post->ID, "apikey", $_POST["apikey"]);

	update_post_meta($post->ID, "listid", $_POST["listid"]);

	update_post_meta($post->ID, "listname", $_POST["listname"]);

	update_post_meta($post->ID, "friendgate", $_POST["friendgate"]);

	update_post_meta($post->ID, "invitegatetitle", $_POST["invitegatetitle"]);

	update_post_meta($post->ID, "invitegatemessage", $_POST["invitegatemessage"]);

	update_post_meta($post->ID, "friendgateamount", $_POST["friendgateamount"]);

	update_post_meta($post->ID, "friendgateabort", $_POST["friendgateabort"]);

	update_post_meta($post->ID, "otheremailCode", $_POST["otheremailCode"]);

	

	/********* Open graph settings*****************/

	update_post_meta($post->ID, "open_graph_title", $_POST["open_graph_title"]);

	update_post_meta($post->ID, "open_graph_caption", $_POST["open_graph_caption"]);

	update_post_meta($post->ID, "open_graph_description", $_POST["open_graph_description"]);

	update_post_meta($post->ID, "open_graph_image_url", $_POST["open_graph_image_url"]);

}

?>