<?php
function wp4fb_install(){
	global $wpdb;
	global $wp4fb_db_version;
	
	$table_name = $wpdb->prefix . "wp4fb_general";
	$sql = "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	widget_count int(111),
	footer_text varchar(225),
	twitter_account_url varchar(225),
	rss_url varchar(225),
	youtube_account_url varchar(225),
	twitter_url varchar(225),
	blogger_url varchar(225),
	website_url varchar(225),
	linkedin_url varchar(225),
	square_url varchar(225),
	google_url varchar(225),
	digg_url varchar(225),
	control_script varchar(225),
	conversion_script varchar(225),
	vimeo_url varchar(225),
	permalink varchar(225),
	UNIQUE KEY id (id)
	);";
	
	$table_name = $wpdb->prefix . "wp4fb_facebook";
	$sql .= " CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT, 
	app_title VARCHAR( 255 ), 
	facebook_language VARCHAR( 255 ),
	facebook_application_id TEXT,
	facebook_secret TEXT,
	facebook_fanpage_url TEXT,
	facebook_fangate ENUM( 'Yes', 'No' ),
	facebook_prelike_page TEXT,
	facebook_popup_title TEXT,
	facebook_popup_message TEXT,
	facebook_inline_action_text TEXT,
	facebook_inline_content TEXT,
	UNIQUE KEY id (id)
	);";

	$table_name = $wpdb->prefix . "wp4fb_design";
	$sql .= " CREATE TABLE $table_name (
	page_width varchar(10) COLLATE utf8_unicode_ci,
	h1_font_size varchar(10) COLLATE utf8_unicode_ci,
	h2_font_size varchar(10) COLLATE utf8_unicode_ci,
	h3_font_size varchar(10) COLLATE utf8_unicode_ci,
	h4_font_size varchar(10) COLLATE utf8_unicode_ci,
	h5_font_size varchar(10) COLLATE utf8_unicode_ci,
	p_font_size varchar(10) COLLATE utf8_unicode_ci,
	h1_font_family varchar(50) COLLATE utf8_unicode_ci,
	h2_font_family varchar(50) COLLATE utf8_unicode_ci,
	h3_font_family varchar(50) COLLATE utf8_unicode_ci,
	h4_font_family varchar(50) COLLATE utf8_unicode_ci,
	h5_font_family varchar(50) COLLATE utf8_unicode_ci,
	p_font_family varchar(50) COLLATE utf8_unicode_ci,
	h1_font_type varchar(50) COLLATE utf8_unicode_ci,
	h2_font_type varchar(50) COLLATE utf8_unicode_ci,
	h3_font_type varchar(50) COLLATE utf8_unicode_ci,
	h4_font_type varchar(50) COLLATE utf8_unicode_ci,
	h5_font_type varchar(50) COLLATE utf8_unicode_ci,
	p_font_type varchar(50) COLLATE utf8_unicode_ci,
	h1_color varchar(50) COLLATE utf8_unicode_ci,
	h2_color varchar(50) COLLATE utf8_unicode_ci,
	h3_color varchar(50) COLLATE utf8_unicode_ci,
	h4_color varchar(50) COLLATE utf8_unicode_ci,
	h5_color varchar(50) COLLATE utf8_unicode_ci,
	p_color varchar(50) COLLATE utf8_unicode_ci,
	header_height varchar(50) COLLATE utf8_unicode_ci,
	footer_height varchar(50) COLLATE utf8_unicode_ci,
	top_margin varchar(50) COLLATE utf8_unicode_ci,
	side_margin varchar(50) COLLATE utf8_unicode_ci,
	bottom_margin varchar(50) COLLATE utf8_unicode_ci,
	header_background_image varchar(255) COLLATE utf8_unicode_ci,
	content_background_image varchar(255) COLLATE utf8_unicode_ci,
	footer_background_image varchar(255) COLLATE utf8_unicode_ci,
	menu_font_size varchar(10) COLLATE utf8_unicode_ci,
	menu_font_family varchar(50) COLLATE utf8_unicode_ci,
	menu_font_type varchar(50) COLLATE utf8_unicode_ci,
	menu_color varchar(50) COLLATE utf8_unicode_ci,
	menu_hover_font_size varchar(10) COLLATE utf8_unicode_ci,
	menu_hover_font_family varchar(50) COLLATE utf8_unicode_ci,
	menu_hover_font_type varchar(50) COLLATE utf8_unicode_ci,
	menu_hover_color varchar(50) COLLATE utf8_unicode_ci,
	links_font_size varchar(10) COLLATE utf8_unicode_ci,
	links_font_family varchar(50) COLLATE utf8_unicode_ci,
	links_font_type varchar(50) COLLATE utf8_unicode_ci,
	links_color varchar(50) COLLATE utf8_unicode_ci,
	links_hover_font_size varchar(10) COLLATE utf8_unicode_ci,
	links_hover_font_family varchar(50) COLLATE utf8_unicode_ci,
	links_hover_font_type varchar(50) COLLATE utf8_unicode_ci,
	links_hover_color varchar(50) COLLATE utf8_unicode_ci,
	links_visited_font_size varchar(10) COLLATE utf8_unicode_ci,
	links_visited_font_family varchar(50) COLLATE utf8_unicode_ci,
	links_visited_font_type varchar(50) COLLATE utf8_unicode_ci,
	links_visited_color varchar(50) COLLATE utf8_unicode_ci,
	navigation_menu_boxes varchar(50) COLLATE utf8_unicode_ci,
	navigation_hover_menu_boxes varchar(50) COLLATE utf8_unicode_ci,
	navigation_sub_menu_boxes varchar(50) COLLATE utf8_unicode_ci,
	navigation_sub_sub_menu_boxes varchar(50) COLLATE utf8_unicode_ci,
	navigation_hover_sub_menu_boxes varchar(50) COLLATE utf8_unicode_ci,
	navigation_hover_sub_sub_menu_boxes varchar(50) COLLATE utf8_unicode_ci,
	background_color varchar(50) COLLATE utf8_unicode_ci,
	navigation_floating varchar(50) COLLATE utf8_unicode_ci,
	content_background_image_type varchar(50) COLLATE utf8_unicode_ci,
	preconfigured_design varchar(50) COLLATE utf8_unicode_ci,
	footer_text_font_size varchar(10) COLLATE utf8_unicode_ci,
	footer_text_font_family varchar(50) COLLATE utf8_unicode_ci,
	footer_text_font_type varchar(50) COLLATE utf8_unicode_ci,
	footer_text_color varchar(50) COLLATE utf8_unicode_ci,
	content_top_margin varchar(50) COLLATE utf8_unicode_ci
	);";
	  
	$table_name = $wpdb->prefix . "wp4fb_google_track";
	$sql .= " CREATE TABLE $table_name (
	user_id VARCHAR( 50 )
	);";
	
	$table_name = $wpdb->prefix . "wp4fb_layouts";
	$sql .= "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	title varchar(225),
	layout longtext collate utf8_unicode_ci,
	style longtext,
	UNIQUE KEY id (id)
	);";
	
	$table_name = $wpdb->prefix . "wp4fb_shortcodes"; 
	$sql .= "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	shortcodecategory varchar(225),
	shortcode longtext collate utf8_unicode_ci,
	UNIQUE KEY id (id)
	);";

	$table_name = $wpdb->prefix . "wp4fb_sweepstake";
	$sql .= "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	title longtext,
	buttontext longtext,
	redirectingtext longtext,
	buttonimg longtext,
	redirectpage longtext,
	mailserver varchar(225),
	mailercode longtext,
	apikey longtext,
	listid longtext,
	UNIQUE KEY id (id)
	);";
   
	$table_name = $wpdb->prefix . "wp4fb_post_emails";
	$sql .= "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	uemail TEXT,
	uname TEXT,
	uid TEXT,
	postid TEXT,
	posttype TEXT,
	UNIQUE KEY id (id)
	);";
	   
	$table_name = $wpdb->prefix . "wp4fb_emails";
	$sql .= "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	uemail TEXT,
	uid TEXT,
	ufirstname TEXT,
	umiddlename TEXT,
	ulastname TEXT,
	uname TEXT,
	ulocale TEXT,
	ucurrentlocation TEXT,
	uaffiliations TEXT,
	upicsquare TEXT,
	uprofileurl TEXT,
	usex TEXT,
	uentry TEXT,
	sweepsid TEXT,
	UNIQUE KEY id (id)
	);";
	
	$table_name = $wpdb->prefix . "wp4fb_friendgatecount";
	$sql .= "CREATE TABLE $table_name (
	id int(111) NOT NULL AUTO_INCREMENT,
	uemail TEXT,
	uid TEXT,
	ufirstname TEXT,
	umiddlename TEXT,
	ulastname TEXT,
	uname TEXT,
	ulocale TEXT,
	ucurrentlocation TEXT,
	uaffiliations TEXT,
	upicsquare TEXT,
	uprofileurl TEXT,
	usex TEXT,
	uentry TEXT,
	sweepsid TEXT,
	UNIQUE KEY id (id)
	);";
		
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
	add_option("wp4fb_db_version", $wp4fb_db_version);
	
}



function wp4fb_install_data() {

	global $wpdb;
	
	$table_name = $wpdb->prefix . "wp4fb_general";
	$widgetcount = "0";
	$footer = "&copy; Copyright";
	$twitter_account_url = "http://twitter.com";
	$rss_url = "";
	$youtube_account_url = "http://youtube.com";
	$twitter_url = "http://twitter.com";
	$blogger_url = "http://blogger.com";
	$website_url = "";
	$linkedin_url = "";
	$square_url = "";
	$google_url = "";
	$digg_url = "";
	$control_src = "";
	$convert_src = "";
	$vimeo_url = "";
	$permalink = "wp4fb-iframe";
	
	$generaldata = $wpdb->get_results("SELECT * FROM ".$table_name."");
	$generalcount = count($generaldata);
	
	if($generalcount == 0){
		$rows_affected = $wpdb->insert( $table_name, array( 'widget_count' => $widgetcount, 'footer_text' => $footer, 'twitter_account_url' => $twitter_account_url, 'rss_url' => $rss_url, 'youtube_account_url' =>  $youtube_account_url, 'twitter_url' => $twitter_url, 'blogger_url' => $blogger_url, 'website_url' =>  $website_url, 'linkedin_url' => $linkedin_url, 'square_url' =>  $square_url, 'google_url' => $google_url, 'digg_url' => $digg_url, 'control_script' => $control_src, 'conversion_script' => $convert_src, 'vimeo_url' => $vimeo_url, 'permalink' => $permalink) );
	}
	
	
	$table_name = $wpdb->prefix . "wp4fb_facebook";
	$id = "1";
	$app_title = "My first app";
	$facebook_language = "en_US";
	$facebook_application_id = "";
	$facebook_secret = "";
	$facebook_fanpage_url = "";
	$facebook_fangate = "No";
	$facebook_prelike_page = "";
	$facebook_popup_title = "";
	$facebook_popup_message = "";
	$facebook_inline_action_text = "";
	$facebook_inline_content = "";
	
	$facebookdata = $wpdb->get_results("SELECT * FROM ".$table_name."");
	
	$facebookcount = count($facebookdata);
	
	if($facebookcount == 0){
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => $id, 'app_title' => $app_title, 'facebook_language' => $facebook_language, 'facebook_application_id' => $facebook_application_id, 'facebook_secret' => $facebook_secret, 'facebook_fanpage_url' =>  $facebook_fanpage_url, 'facebook_fangate' => $facebook_fangate, 'facebook_prelike_page' => $facebook_prelike_page, 'facebook_popup_title' => $facebook_popup_title, 'facebook_popup_message' => $facebook_popup_message, 'facebook_inline_action_text' => $facebook_inline_action_text, 'facebook_inline_content' => $facebook_inline_content) );
	}
	
	
	$table_name = $wpdb->prefix . "wp4fb_design";
	$facebook_language = "English";
	$page_width = "810px";
	$h1_font_size = "14px";
	$h2_font_size = "12px";
	$h3_font_size = "10px";
	$h4_font_size = "8px";
	$h5_font_size = "12px";
	$p_font_size = "";
	$h1_font_family = "";
	$h2_font_family = "";
	$h3_font_family = "";
	$h4_font_family = "";
	$h5_font_family = "";
	$p_font_family = "";
	$h1_font_type = "";
	$h2_font_type = "";
	$h3_font_type = "";
	$h4_font_type = "";
	$h5_font_type = "";
	$p_font_type = "";
	$h1_color = "";
	$h2_color = "";
	$h3_color = "";
	$h4_color = "";
	$h5_color = "";
	$p_color = "";
	$header_height = "50px";
	$footer_height = "50px";
	$top_margin = "10px";
	$side_margin = "30px";
	$bottom_margin = "10px";
	$header_background_image = "";
	$content_background_image = "";
	$footer_background_image = "";
	$links_font_size = "12px";
	$links_hover_font_size = "12px";
	
	$designdata = $wpdb->get_results("SELECT * FROM ".$table_name."");
	
	$designcount = count($designdata);
	
	if($designcount == 0){
		$rows_affected = $wpdb->insert( $table_name, array( 'page_width' => $page_width, 'h1_font_size' => $h1_font_size, 'header_height' => $header_height, 'footer_height' => $footer_height, 'top_margin' =>  $top_margin, 'side_margin' => $side_margin, 'bottom_margin' => $bottom_margin, 'header_background_image' =>  $header_background_image, 'content_background_image' => $content_background_image, 'footer_background_image' =>  $footer_background_image, 'links_font_size' => $links_font_size, 'links_hover_font_size' => $links_hover_font_size) );
	}
	
	
	$table_name = $wpdb->prefix . "wp4fb_shortcodes";
	
	$designdata = $wpdb->get_results("SELECT * FROM ".$table_name."");
	
	$designcount = count($designdata);
	
	if($designcount == 0){
	
		$shortcat = "Button";
		$shortcode = '[wp4fb-button-red text="Button text" link="http://www.google.com" target="_blank" align="left"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '1', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Columns";
		$shortcode = '[wp4fb-column1]column content[/wp4fb-column1]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '2', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Image Slider";
		$shortcode = '[wp4fb-slider name="slidername"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '3', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Facebook Send Button";
		$shortcode = '[wp4fb-send url="http://www.google.com" color="light"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '4', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Facebook Like Button";
		$shortcode = '[wp4fb-like url="http://www.google.com" sendbutton="on" style="standard" faces="on" verb="like" width="300"  color="light"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '5', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Viral Comments";
		$shortcode = '[wp4fb-comments url="http://www.google.com" posts="5" width="300" color="dark"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '6', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Bullet Points";
		$shortcode = '[wp4fb-ol number="1" text="this is text 1"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '7', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Youtube Video";
		$shortcode = '[wp4fb-youtubevideo url="http://www.youtube.com/watch?v=Tm5PWh1fqbg" width="320" height="215"]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '8', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Sweepstake";
		$shortcode = '[wp4fb-sweepstake]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '9', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Sweepstake Entries";
		$shortcode = '[wp4fb-sweepstake-entries]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '10', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Facebook Share";
		$shortcode = '[wp4fb-sharebutton]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '11', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Facebook Invite";
		$shortcode = '[wp4fb-invitebutton]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '12', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Google+ Button";
		$shortcode = '[wp4fb-googleplus]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '14', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Twitter Button";
		$shortcode = '[wp4fb-tweet]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '15', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "WP4FB Widget";
		$shortcode = '[wp4fb-widget]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '16', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
		
		$shortcat = "Friendgate Count";
		$shortcode = '[wp4fb-friendgatecount]';
		$rows_affected = $wpdb->insert( $table_name, array( 'id' => '17', 'shortcodecategory' => $shortcat, 'shortcode' => $shortcode ) );
	
	}
	
	
	$table_name2 = $wpdb->prefix . "wp4fb_layouts";
	
	$checklayout = mysql_fetch_object(mysql_query("select * from ".$table_name2." where id='1' and title='Left'"));

	if($checklayout->id>0){
	
	} else {
	
		$r = mysql_query("SHOW TABLE STATUS LIKE 'table_name' ");
		$row = mysql_fetch_array($r);
		$Auto_increment = $row['Auto_increment'];
		mysql_free_result($r);
		
		if($Auto_increment>13){
			$startid = $Auto_increment-1;
		} else {
			$startid = 13;
		}
		
		$excheck = mysql_query("select * from ".$wpdb->prefix."wp4fb_layouts");
		while($exrow = mysql_fetch_array($excheck)){
			$startid++;
			mysql_query("insert into ".$wpdb->prefix."wp4fb_layouts (`title`, `layout`, `style`) values ('$exrow[title]', '$exrow[layout]', '$exrow[style]')");
			mysql_query("delete from ".$wpdb->prefix."wp4fb_layouts where id='$exrow[id]'");
		}	 
		
		 $title = "Left";
		 $style = 'left';
		 $layout = '
	<div id="wrapper">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style></style>
			</div>
			
			<input type="hidden" id="alignmenu" />
			<div class="column" id="top">
				<div class="portlet" id="headerbox">
					<div class="portlet-header">
						<div>Header</div>
					</div>
					<div class="portlet-content">
						<img src="[pluginfoldername]/images/logo.png" id="logo" />
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet" id="menubar">
					<div class="portlet-header">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="">Link 1</a>
						<a href="">Link 2</a>
						<a href="">Link 3</a>
						<a href="">Link 4</a>
						<a href="">Link 5</a>
						<a href="">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input type="hidden" id="activecolor" />
					<input type="hidden" id="hovercolor" />
					<input type="hidden" id="activecolor2" />
					<input type="hidden" id="hovercolor2" />
					<input type="hidden" id="activecolor3" />
					<input type="hidden" id="hovercolor3" />
				</div>
			</div>
			<div class="column" id="left">
				<div class="portlet resizable" id="content1">
					<div class="portlet-header">
						<div>Main Content</div>
					</div>
					<div class="portlet-content">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable" id="content2">
					<div class="portlet-header">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content">
						Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="column" id="right">
				<div class="portlet" id="sidebar1">
					<div class="portlet-header">
						<div>Sidebar 1</div>
					</div>
					<div class="portlet-content">
						Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet" id="sidebar2">
					<div class="portlet-header">
						<div>Sidebar 2</div>
					</div>
					<div class="portlet-content">
						Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="column" id="bottom">
				<div class="portlet" id="footerbox">
					<div class="portlet-header">
						<div>Footer</div>
					</div>
					<div class="portlet-content">
						Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
	<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '1', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Center";
		 $style = 'single';
		 $layout = '
	<div id="wrapper">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style></style>
			</div>
	
			<input type="hidden" id="alignmenu" />
			<div class="column" id="top">
				<div class="portlet" id="headerbox">
					<div class="portlet-header">
						<div>Header</div>
					</div>
					<div class="portlet-content">
						<img src="[pluginfoldername]/images/logo.png" id="logo" />
						<div class="clearfix"></div>	
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet" id="menubar">
					<div class="portlet-header">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="">Link 1</a>
						<a href="">Link 2</a>
						<a href="">Link 3</a>
						<a href="">Link 4</a>
						<a href="">Link 5</a>
						<a href="">Link 6</a>
						<div class="clearfix"></div>
					</div>
						<input type="hidden" id="activecolor" />
						<input type="hidden" id="hovercolor" />
						<input type="hidden" id="activecolor2" />
						<input type="hidden" id="hovercolor2" />
						<input type="hidden" id="activecolor3" />
						<input type="hidden" id="hovercolor3" />
				</div>
			</div>
		
			<div class="column" id="left">
				
				<div class="portlet resizable" id="content1">
					<div class="portlet-header">
						<div>Main Content</div>
					</div>
					<div class="portlet-content">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						<div class="clearfix"></div>	
	
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable" id="content2">
					<div class="portlet-header">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column" id="bottom">
				<div class="portlet" id="footerbox">
					<div class="portlet-header">
						<div>Footer</div>
					</div>
					<div class="portlet-content">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
	<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '2', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Right";
		 $style = 'right';
		 $layout = '
	<div id="wrapper">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style></style>
			</div>
	
			<input type="hidden" id="alignmenu" />
	
			<div class="column" id="top">
				<div class="portlet" id="headerbox">
					<div class="portlet-header">
						<div>Header</div>
					</div>
					<div class="portlet-content">
						<img src="[pluginfoldername]/images/logo.png" id="logo" />
						<div class="clearfix"></div>	
					</div>
	
					<a href="" class="dummylinks">dummy</a>
				</div>
			
				<div class="portlet" id="menubar">
					<div class="portlet-header">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="">Link 1</a>
						<a href="">Link 2</a>
						<a href="">Link 3</a>
						<a href="">Link 4</a>
						<a href="">Link 5</a>
						<a href="">Link 6</a>
						<div class="clearfix"></div>
					</div>
						<input type="hidden" id="activecolor" />
						<input type="hidden" id="hovercolor" />
						<input type="hidden" id="activecolor2" />
						<input type="hidden" id="hovercolor2" />
						<input type="hidden" id="activecolor3" />
						<input type="hidden" id="hovercolor3" />
				</div>
			
			</div>
		
			<div class="column" id="left">
				
				<div class="portlet resizable" id="content1">
					<div class="portlet-header">
						<div>Main Content</div>
					</div>
					<div class="portlet-content">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br />
						<div class="clearfix"></div>	
	
					</div>
	
					<a href="" class="dummylinks">dummy</a>
				</div>
			
				<div class="portlet resizable" id="content2">
					<div class="portlet-header">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	</div>
	
					<a href="" class="dummylinks">dummy</a>
				</div>
			
			</div>
		
			<div class="column" id="right">
			
				<div class="portlet" id="sidebar1">
					<div class="portlet-header">
						<div>Sidebar 1</div>
					</div>
					<div class="portlet-content">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	</div>
	
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet" id="sidebar2">
					<div class="portlet-header">
						<div>Sidebar 2</div>
					</div>
					<div class="portlet-content">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	</div>
	
					<a href="" class="dummylinks">dummy</a>
				</div>
			
			</div>
		
			<div class="column" id="bottom">
			
				<div class="portlet" id="footerbox">
					<div class="portlet-header">
						<div>Footer</div>
					</div>
					<div class="portlet-content">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix"></div>	</div>
	
					<a href="" class="dummylinks">dummy</a>
				</div>
			
			</div>
	<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '3', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Grey";
		 $style = 'single';
		 $layout = '
	<div id="wrapper">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style>
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					.menulinks ul:first a { background-color:transparent; }
					#wrapper h1 { font-family:Helvetica; }
					#wrapper h1 { font-decoration:underline; }
					#wrapper h1 { font-style:normal; }
					#wrapper h1 { font-weight:normal; }
					#footerbox a { color:#ffffff; }
					#content1 a { color:#ffffff; }
					#content1 a:hover { color:#ffffff; }
					#wrapper h1 { color:#ffffff; }
					#wrapper h2 { color:#ffffff; }
					#wrapper h3 { color:#ffffff; }
					#wrapper h4 { color:#ffffff; }
					#wrapper h5 { color:#ffffff; }
					#wrapper h5 { font-size:14px; }
					#wrapper h4 { font-size:16px; }
					#wrapper h3 { font-size:18px; }
					#wrapper h2 { font-size:20px; }
					#wrapper h1 { font-size:22px; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			
			<div class="column ui-sortable" id="top">
			
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="background-image: url([pluginfoldername]/settings/templates/4/grey-header-bg.png); background-color: transparent; margin-bottom: 0px; font-size: 40px; font-style: normal; font-weight: bold; min-height: 50px; position: relative; opacity: 1; z-index: 0; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content" style="padding: 20px; color: rgb(255, 255, 255); "><p style="text-align: center;">[YOUR LOGO]</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/4/grey-navigation-bg.png); min-height: 59px; text-align: center; padding: 15px 0px 0px; margin: 0px; position: relative; opacity: 1; z-index: 0; background-repeat: no-repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="margin: 0px; background-image: url([pluginfoldername]/settings/templates/4/grey-content-bg2.png); background-color: transparent; font-family: Helvetica; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="padding: 20px; color: rgb(192, 192, 192); ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="margin-bottom: 0px; background-image: url([pluginfoldername]/settings/templates/4/grey-content-bg2.png); background-color: transparent; background-repeat: repeat repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div style="opacity: 0.5;">Extra Content</div>
					</div>
					<div class="portlet-content" style="padding: 20px; color: rgb(255, 255, 255); display: none; "></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="margin-bottom: 0px; background-image: url([pluginfoldername]/settings/templates/4/grey-footer-bg.png); background-color: transparent; position: relative; opacity: 1; z-index: 0; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div style="opacity: 0.5; ">Footer</div>
					</div>
					<div class="portlet-content" style="padding: 20px; color: rgb(153, 153, 153); "><p style="text-align: center;">Copyright WP4FB 2011 - 2012</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
			</div>
		
			<div class="column ui-sortable" id="bottom"></div>
			<div class="clearfix"></div>
	
		</div>
	
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '4', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Wood";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-image: url([pluginfoldername]/settings/templates/5/wood-bg.jpg); ">
	
		<div class="demo">
	
			<div style="display:none;" id="stylehere">
				<style>
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					#content2 a { color:#c0c0c0; }
					#footerbox a { color:#c0c0c0; }
					#content1 a { color:#993300; }
					#wrapper h5 { font-size:14px; }
					#wrapper h4 { font-size:16px; }
					#wrapper h3 { font-size:18px; }
					#wrapper h2 { font-size:20px; }
					#wrapper h1 { font-size:22px; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="min-height: 129px; background-image: url([pluginfoldername]/settings/templates/5/wood-header.jpg); margin-bottom: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content"><h1 style="text-align: center;">[YOUR LOGO]</h1></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/5/wood-navigation.jpg); min-height: 104px; margin-bottom: 0px; text-align: center; padding: 26px 0px 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-image: url([pluginfoldername]/settings/templates/5/wood-content.jpg); margin-bottom: 0px; margin-left: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="padding-left: 100px; padding-right: 100px; ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="margin-bottom: 0px; background-image: url([pluginfoldername]/settings/templates/5/wood-bg.jpg); background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); display: none; ">Lorem ipsum dolor sit amet, consectetuer adipiscing elit</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="background-color: transparent; margin-bottom: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); "><p style="text-align: center;">Copyright 2012</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '5', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Black";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-color: rgb(5, 5, 5); ">
	
		<div class="demo">
	
			<div style="display:none;" id="stylehere">
				<style>
					#menubar a { color:#000000; }
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { background-color:#ffffff; }
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					#wrapper h1 { color:#ffffff; }
					#wrapper h2 { color:#ffffff; }
					#wrapper h3 { color:#ffffff; }
					#wrapper h4 { color:#ffffff; }
					#wrapper h5 { color:#ffffff; }
					#content1 a { color:#c0c0c0; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="margin-left: 100px; margin-right: 100px; text-align: center; padding: 20px 5px 0px; margin-bottom: 0px; position: relative; opacity: 1; z-index: 0; min-height: 40px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; color: rgb(0, 0, 0); ">Link 1</a>
						<a href="" style="background-color: transparent; color: rgb(0, 0, 0); ">Link 2</a>
						<a href="" style="background-color: transparent; color: rgb(0, 0, 0); ">Link 3</a>
						<a href="" style="background-color: transparent; color: rgb(0, 0, 0); ">Link 4</a>
						<a href="" style="background-color: transparent; color: rgb(0, 0, 0); ">Link 5</a>
						<a href="" style="background-color: transparent; color: rgb(0, 0, 0); ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" value="#000000" type="hidden">
					<input id="hovercolor" value="#808080" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="margin-bottom: 0px; background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content"><h1 style="text-align: center;">[LOGO]</h1></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content2" style="margin: 0px; position: relative; opacity: 1; z-index: 0; min-height: 50px; background-image: url([pluginfoldername]/settings/templates/6/black-header-top.jpg); ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="padding: 0px; ">Lorem ipsum dolor sit amet, consectetuer adipiscing elit</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="margin-bottom: 0px; background-image: url([pluginfoldername]/settings/templates/6/black-content-bg.jpg); margin-left: 0px; background-repeat: no-repeat repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); padding-left: 70px; padding-right: 70px; ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="margin-bottom: 0px; background-image: url([pluginfoldername]/settings/templates/6/black-footer-bg.jpg); background-color: transparent; min-height: 110px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="padding-top: 70px; color: rgb(0, 0, 0); "><p style="text-align: center;">Copyright 2012</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '6', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Striped";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-image: url([pluginfoldername]/settings/templates/7/striped-bg.jpg); ">
	
		<div class="demo">
	
			<div style="display:none;" id="stylehere">
				<style>
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					#content1 a { color:#99ccff; }
					#content1 a:hover { color:#99ccff; }
					#wrapper h2 { color:#ffffff; }
					#wrapper h3 { color:#ffffff; }
					#wrapper h4 { color:#ffffff; }
					#wrapper div { color:#000000; }
					#wrapper h1 { color:#99ccff; }
					#wrapper h5 { color:#ffffff; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/7/striped-navigation.jpg); background-color: transparent; position: relative; opacity: 1; z-index: 0; text-align: center; padding: 14px 5px 10px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: block; ">
						<div>Header</div>
					</div>
					<div class="portlet-content" style="display: block; "></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-image: url([pluginfoldername]/settings/templates/7/striped-content.jpg); background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="padding-left: 70px; color: rgb(255, 255, 255); padding-right: 70px; ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="display: none; ">Lorem ipsum dolor sit amet, consectetuer adipiscing elit</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content"><p style="text-align: center;">Copyright 2012</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '7', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Blue";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-color: rgb(11, 58, 116); ">
	
		<div class="demo">
	
			<div style="display:none;" id="stylehere">
				<style>
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					#content2 a { color:#93b33b; }
					#content2 a:hover { color:#93b33b; }
					#footerbox a { color:#93b33b; }
					#footerbox a:hover { color:#93b33b; }
					#content1 a { color:#93b33b; }
					#menubar a div a { background-color:#b6d465; }
					#wrapper h1 { color:#0b3a74; }
					#wrapper h1 { font-size:24px; }
					#wrapper h2 { color:#0b3a74; }
					#wrapper h2 { font-size:22px; }
					#wrapper h3 { color:#0b3a74; }
					#wrapper h3 { font-size:20px; }
					#wrapper h4 { color:#0b3a74; }
					#wrapper h4 { font-size:18px; }
					#wrapper h4 { font-decoration:normal; }
					#wrapper h4 { font-style:normal; }
					#wrapper h4 { font-weight:normal; }
					#wrapper h1 { font-decoration:normal; }
					#wrapper h1 { font-style:normal; }
					#wrapper h1 { font-weight:bold; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="min-height: 166px; background-image: url([pluginfoldername]/settings/templates/8/blue-header.jpg); background-color: transparent; margin: 0px; font-size: 11px; font-style: normal; font-weight: bold; background-position: 0% 0%; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content" style="padding: 0px; color: rgb(255, 255, 255); "><img class="aligncenter" src="[pluginfoldername]/settings/templates/8/wp4fb-logo.png" alt="Logo"></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/8/blue-navigation.png); background-color: transparent; min-height: 25px; padding: 5px; margin: 0px; font-size: 11px; text-align: center; position: relative; opacity: 1; z-index: 0; background-repeat: repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" value="#b6d465" type="hidden">
					<input id="hovercolor3" value="#93b33b" type="hidden">
				</div>
				
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-color: rgb(241, 243, 242); margin: 20px 50px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Content</div>
					</div>
					<div class="portlet-content" style="padding: 20px; color: rgb(51, 51, 51); ">
	
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
	
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="background-color: transparent; margin-bottom: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div>Content</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); display: none; padding: 0px; ">Lorem ipsum dolor sit amet, consectetuer adipiscing elit</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="background-color: transparent; margin-bottom: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); padding: 0px; "><p style="text-align: center;">Copyright 2012</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '8', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Light Wood";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-image: url([pluginfoldername]/settings/templates/9/yellow-wood-bg.jpg); ">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style>
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					.menulinks ul:first a { background-color:transparent; }
					#footerbox a { color:#c0c0c0; }
					#footerbox a:hover { color:#c0c0c0; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="background-image: url([pluginfoldername]/settings/templates/9/yellow-wood-bg1.jpg); background-color: transparent; margin: 30px 0px 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content" style="padding: 0px; "><p>&nbsp;</p><div class="clearfix">&nbsp;</div></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/9/light-wood-nav-bg.jpg); background-color: transparent; min-height: 70px; text-align: center; padding: 15px 0px 0px; margin: 0px; background-repeat: no-repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-image: url([pluginfoldername]/settings/templates/9/light-wood-content-bg.jpg); background-color: transparent; margin-bottom: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="padding-left: 100px; padding-right: 100px; ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						<div class="clearfix"></div>	
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="margin-bottom: 0px; position: relative; opacity: 1; z-index: 0; background-image: url([pluginfoldername]/settings/templates/9/yellow-wood-bg2.jpg); ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); "><p style="text-align: center;">Copyright</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="margin-bottom: 0px; background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="display: none; "></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '9', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Corners";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-image: url([pluginfoldername]/settings/templates/10/bg1.jpg); ">
		<div class="demo">
	
			<div style="display:none;" id="stylehere">
				<style>
					#menubar a { background-color:#3895a8; }
					#menubar a div a { background-color:#3895a8; }
					#menubar a { float:right; }
					#menubar li { float:right; }
					#footerbox a { color:#ffffff; }
				</style>
			</div>
	
			<input id="alignmenu" value="" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="background-color: transparent; margin-bottom: 0px; min-height: 30px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content" style=""></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="min-height: 100px; background-image: url([pluginfoldername]/settings/templates/10/header.jpg); background-color: transparent; margin-bottom: 0px; padding: 30px 49px 0px 5px; text-align: inherit; background-repeat: repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: rgb(56, 149, 168); ">Link 1</a>
						<a href="" style="background-color: rgb(56, 149, 168); ">Link 2</a>
						<a href="">Link 3</a>
						<a href="">Link 4</a>
						<a href="">Link 5</a>
						<a href="">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="#3895a8" type="hidden">
					<input id="hovercolor2" value="#45a8bc" type="hidden">
					<input id="activecolor3" value="#3895a8" type="hidden">
					<input id="hovercolor3" value="#45a8bc" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content2" style="position: relative; opacity: 1; z-index: 0; background-image: url([pluginfoldername]/settings/templates/10/corners-up.jpg); background-color: transparent; min-height: 14px; margin-top: 0px; margin-bottom: 0px; background-repeat: no-repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="padding: 0px; "></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-color: rgb(253, 253, 253); margin: 0px 52px 0px 49px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="padding: 20px; ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="margin-bottom: 0px; background-image: url([pluginfoldername]/settings/templates/10/corners-down.jpg); background-color: transparent; min-height: 60px; background-repeat: repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); "><p style="text-align: center;">Copyright</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '10', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Cheese";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-color: rgb(248, 250, 239); ">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style>
					#wrapper h1 { color:#f8faef; }
					#wrapper h2 { color:#f8faef; }
					#wrapper h3 { color:#f8faef; }
					#wrapper h4 { color:#f8faef; }
					#wrapper h5 { color:#f8faef; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { color:#adad93; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="min-height: 106px; background-color: transparent; background-image: url([pluginfoldername]/settings/templates/11/cheese-header.jpg); ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content"><p>&nbsp;</p><div class="clearfix">&nbsp;</div></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="min-height: 50px; background-image: url([pluginfoldername]/settings/templates/11/cheese-nav.jpg); text-align: center; padding: 14px 5px 10px; background-color: transparent; background-repeat: no-repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; color: rgb(173, 173, 147); ">Link 1</a>
						<a href="" style="background-color: transparent; color: rgb(173, 173, 147); ">Link 2</a>
						<a href="" style="background-color: transparent; color: rgb(173, 173, 147); ">Link 3</a>
						<a href="" style="background-color: transparent; color: rgb(173, 173, 147); ">Link 4</a>
						<a href="" style="background-color: transparent; color: rgb(173, 173, 147); ">Link 5</a>
						<a href="" style="background-color: transparent; color: rgb(173, 173, 147); ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" value="#adad93" type="hidden">
					<input id="hovercolor" value="#adad93" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-color: rgb(78, 102, 116); margin: 0px 59px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="color: rgb(248, 250, 239); ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content2" style="background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content"></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="background-color: transparent; background-image: url([pluginfoldername]/settings/templates/11/cheese-header.jpg); ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); "><p style="text-align: center;">Copyright</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '11', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Cords";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-color: rgb(245, 240, 217); ">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style>
					#footerbox a { color:#ffffff; }
					#footerbox a:hover { color:#ffffff; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					.menulinks ul:first a { background-color:transparent; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="background-image: url([pluginfoldername]/settings/templates/12/cords-header.jpg); background-color: transparent; margin: 0px; background-repeat: no-repeat repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content" style="padding: 0px; "><p>&nbsp;</p><div class="clearfix">&nbsp;</div></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/12/cords-nav.jpg); background-color: transparent; padding: 37px 5px 10px; margin: 0px; text-align: center; min-height: 50px; background-repeat: no-repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="margin: 20px 49px; background-color: rgb(253, 251, 234); ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						<div class="clearfix"></div>
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="margin-bottom: 0px; position: relative; opacity: 1; z-index: 0; background-color: rgb(219, 198, 55); ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(255, 255, 255); "><p style="text-align: center;">Copyright</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="margin-bottom: 0px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="display: none; ">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix" style="display: none; "></div>	</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '12', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
		 
		 $title = "Brown";
		 $style = 'single';
		 $layout = '
	<div id="wrapper" style="background-image: url([pluginfoldername]/settings/templates/13/brown-bg.jpg); ">
		<div class="demo">
			<div style="display:none;" id="stylehere">
				<style>
					.menulinks ul:first a { background-color:transparent; }
					#menubar a { float:none; }
					#menubar li { float:none; display:inline; }
					#content1 a { color:#c86927; }
					#content1 a:hover { color:#c86927; }
					#footerbox a { color:#c86927; }
					#footerbox a:hover { color:#c86927; }
				</style>
			</div>
	
			<input id="alignmenu" value="center" type="hidden">
			<div class="column ui-sortable" id="top">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="headerbox" style="background-image: url([pluginfoldername]/settings/templates/13/brown-header.jpg); background-color: transparent; min-height: 140px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Header</div>
					</div>
					<div class="portlet-content"><p>&nbsp;</p><div class="clearfix">&nbsp;</div></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="menubar" style="background-image: url([pluginfoldername]/settings/templates/13/brown-nav.jpg); background-color: transparent; text-align: center; padding: 18px 5px 10px; min-height: 45px; background-repeat: no-repeat no-repeat; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Menubar</div>
					</div>
					<div class="menulinks">
						<a href="" style="background-color: transparent; ">Link 1</a>
						<a href="" style="background-color: transparent; ">Link 2</a>
						<a href="" style="background-color: transparent; ">Link 3</a>
						<a href="" style="background-color: transparent; ">Link 4</a>
						<a href="" style="background-color: transparent; ">Link 5</a>
						<a href="" style="background-color: transparent; ">Link 6</a>
						<div class="clearfix"></div>
					</div>
					<input id="activecolor" type="hidden">
					<input id="hovercolor" type="hidden">
					<input id="activecolor2" value="transparent" type="hidden">
					<input id="hovercolor2" value="transparent" type="hidden">
					<input id="activecolor3" type="hidden">
					<input id="hovercolor3" type="hidden">
				</div>
			</div>
		
			<div class="column ui-sortable" id="left">
				
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="content1" style="background-color: rgb(230, 224, 212); margin: 10px 50px; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Main Content</div>
					</div>
					<div class="portlet-content" style="color: rgb(107, 92, 81); ">
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						
						The content of this block will automatically be replaced with the content of your WP4FB page.<br>
						<div class="clearfix"></div>	
					</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
				<div class="portlet resizable ui-widget ui-widget-content ui-helper-clearfix ui-corner-all hidemelater" id="content2" style="background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; display: none; ">
						<div>Extra Content</div>
					</div>
					<div class="portlet-content" style="display: none; ">Lorem ipsum dolor sit amet, consectetuer adipiscing elit
						<div class="clearfix" style="display: none; "></div>	</div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
		
			<div class="column ui-sortable" id="bottom">
				<div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" id="footerbox" style="background-color: transparent; ">
					<div class="portlet-header ui-widget-header ui-corner-all" style="font-size: 12px; font-family: Arial; font-style: normal; font-weight: normal; ">
						<div>Footer</div>
					</div>
					<div class="portlet-content" style="color: rgb(107, 92, 81); "><p style="text-align: center;">Copyright</p></div>
					<a href="" class="dummylinks">dummy</a>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>	 
		 ';
		 $rows_affected = $wpdb->insert( $table_name2, array( 'id' => '13', 'title' => $title, 'layout' => $layout, 'style' => $style ) );
	}
	
} 
?>